jpa.entity.package=com.leandev.flora.domain

# 國際化的設定
locale.language=zh
locale.country=TW

# 日期時間的設定
datetime.timeZone=Asia/Taipei
datetime.dateTimePattern=yyyy-MM-dd HH:mm:ss.SSS
datetime.datePattern=yyyy-MM-dd
datetime.timePattern=HH:mm:ss

# 資源檔案的設定
resource.encoding=UTF-8
resource.exception=exception
resource.keyword=keyword
resource.message=message
resource.term=term

# 檔案輸出入的設定
file.encoding=UTF-8

# 使用連線 idle 的逾時設定．以分鐘為單位
session.timeout=30

# 線上作業的逾時設定．以分鐘為單位．
online.timeout=10
online.maxUploadSize=3072

# 批次作業的逾時設定．以分鐘為單位．
batch.timeout=30

# 技術支援的設定
helpdesk.email=alice@leandev.com.tw

# 資料庫設定
db.username=uwmgr
db.password=uw1943

# H2
db.driver=org.h2.Driver
db.url=jdbc:h2:tcp://localhost/~/project/uweaver/var/data/uweaverDB;MV_STORE=TRUE;MODE=Oracle;IGNORECASE=FALSE;DB_CLOSE_DELAY=-1;DB_CLOSE_ON_EXIT=FALSE;TRACE_LEVEL_SYSTEM_OUT=2
hibernate.dialect=org.hibernate.dialect.H2Dialect
h2.webserver.port=8082

# MySQL
#db.driver=org.gjt.mm.mysql.Driver
#db.url=jdbc:mysql://<hostname>/<database>?useUnicode=true&characterEncoding=UTF-8
#hibernate.dialect=org.hibernate.dialect.MySQLInnoDBDialect

#PostgreSQL
#db.driver=org.postgresql.Driver
#db.url=jdbc:postgresql://localhost:5432/<database>
#hibernate.dialect=org.hibernate.dialect.PostgreSQLDialect
#hibernate.query.substitutions=true TRUE, false FALSE    # Prior to 3.2

db.pool.initial=10
db.pool.max=100


# Mail
mail.smtp.host=ellen.leandev.com.tw
#mail.smtp.port=25
mail.smtp.username=jasonlin@ellen.leandev.com.tw
mail.smtp.password=mar4th57

#mail.smtp.host=smtp.gmail.com
#mail.smtp.port=465
#mail.smtp.ssl.enable=true
#mail.smtp.username=jaysenlin@gmail.com
#mail.smtp.password=mar4th57


mail.charset=UTF-8
mail.debug=true


# 識別碼的設定
# identifier.number => 數字識別碼
# identifier.letter => 字母識別碼

lock.ttl=60